package com.fdkankan.ucenter.service;

import com.fdkankan.ucenter.entity.ReceiverInfo;
import com.baomidou.mybatisplus.extension.service.IService;
import com.fdkankan.ucenter.vo.request.ShipAddressParam;

import java.util.List;

/**
 * <p>
 * 收货人信息表 服务类
 * </p>
 *
 * @author 
 * @since 2022-07-04
 */
public interface IReceiverInfoService extends IService<ReceiverInfo> {

    ReceiverInfo getDefaultByUserId(Long userId);

    void saveByParam(ShipAddressParam param, Long userId);

    void updateDefaultAddress(ShipAddressParam param, Long userId);

    List<ReceiverInfo> getListByUserId(Long userId);

}
